- name: "Copying kubernetes repo file"
  copy: src="{{ item.src}}" dest="{{ item.dest}}" backup=yes
  with_items:
    - { src: "files/kubernetes.repo", dest: "/etc/yum.repos.d/kubernetes.repo" }
    - { src: "files/selinux", dest: "/etc/sysconfig/selinux" }
- block:
   - name: "enabling netfilter module"
     command: modprobe br_netfilter
   - name: "Configuring Iptable routing" 
     command: echo '1' > /proc/sys/net/bridge/bridge-nf-call-iptables
- name: "Updating hosts file"
  blockinfile:
    dest: /etc/hosts
    block: |
      {{ansible_host}} {{ my_host }}
    backup: yes
    marker: "# {mark} ANSIBLE MANAGED BLOCK"
- block:
  - name: "Disabling swap"
    command: swapoff -a
  - name: "Disabling swap permantly" 
    replace:
      path: /etc/fstab
      regexp: '(.*swap.*)'
      replace: '#\1'
